/*
 * domin.c
 *
 *  Created on: Mar 30, 2011
 *      Author: Thomas PIERRARD
 */
# include <stdio.h>
# include <stdlib.h>

# include "datastruct.h"


/* Routine for usual non-domination checking
 It will return the following values
 1 if a dominates b
 0 otherwise */
int dominate(individual *a, individual *b) {
	int i;
	int flag1;
	int flag2;
	flag1 = 0;
	flag2 = 0;
	for (i = 0; i < nobj; i++) {
		if (a->obj[i] < b->obj[i]) {
			flag1 = 1;
		} else {
			if (a->obj[i] > b->obj[i]) {
				flag2 = 1;
			}
		}
	}
	return((flag1 == 1 && flag2 == 0)? 1 : 0);

}
