/*
 * domin.c
 *
 *  Created on: Mar 30, 2011
 *      Author: Thomas PIERRARD
 */
# include <stdio.h>
# include <stdlib.h>

# include "datastruct.h"

/* Routine to evaluate objective function values and constraints for a population */
void evaluate_pop(population *pop) {
	int i;
	for (i = 0; i < pop->size; i++) { //printf("xreal : ");
		//for (j=0;j<nreal;j++) printf("%f ", pop->ind[i].xreal[j]);
		//printf("\n");
		evaluate_ind(&(pop->ind[i]));
	}
	// printf("nbeval : |%d|\n",pop->size);
	//printf("\n");
	return;
}

/* Routine to evaluate objective function values and constraints for an individual */
void evaluate_ind(individual *ind) {
	int j;
	test_problem(ind->xreal, ind->obj, ind->constr);
	nbeval++;
	if (ncon == 0) {
		ind->constr_violation = 0.0;
	} else {
		ind->constr_violation = 0.0;
		for (j = 0; j < ncon; j++) {
			if (ind->constr[j] < 0.0) {
				ind->constr_violation += ind->constr[j];
			}
		}
	}
	return;
}
