# include <stdio.h>
# include <stdlib.h>
# include <math.h>
# include "../datastruct.h"


/*  Test problem DTLZ3
    # of real variables = 12
    # of bin variables = 0
    # of objectives = 3
    # of constraints = 0
*/

void problem_def (double *xreal, double *obj, double *constr)
{
    double f1, f2, f3, g, h;
    int i;
    
    g = 0.0;
    for (i=3; i<=12; i++)
    {
        g += pow(xreal[i-1]-0.5,2.0);
    }
    f1 = cos(xreal[0]*PI/2.0)*cos(xreal[1]*PI/2.0)*(1.0+g);
    f2 = cos(xreal[0]*PI/2.0)*sin(xreal[1]*PI/2.0)*(1.0+g);   
    f3 = sin(xreal[0]*PI/2.0)*(1.0+g);  
    obj[0] = f1;
    obj[1] = f2;
    obj[2] = f3;
    return;
}
