# include <stdio.h>
# include <stdlib.h>
# include <math.h>
# include "../datastruct.h"

/*  Test problem TNK
    # of real variables = 2
    # of bin variables = 0
    # of objectives = 2
    # of constraints = 2
    */
    

void problem_def (double *xreal, double *obj, double *constr)
{
    obj[0] = xreal[0];
    obj[1] = xreal[1];
    if (xreal[0] == 0.0)
    {
        constr[0] = -1.0;
    }
    else
    {
        constr[0] = xreal[0]*xreal[0] + xreal[1]*xreal[1] - 0.1*cos(16.0*atan(xreal[0]/xreal[1])) - 1.0;
    }
    if (xreal[1] == 0.0)
    {
        constr[1] = -1.0;
    }
    else
    {
    	constr[1] = 0.5 - pow((xreal[0]-0.5),2.0) - pow((xreal[1]-0.5),2.0);
    }
    return;
}

