# include <stdio.h>
# include <stdlib.h>
# include <math.h>
# include "../global.h"

/*  Test problem DTLZ1
    # of real variables = 12
    # of bin variables = 0
    # of objectives = 3
    # of constraints = 0
*/

void problem_def(double *xreal, double *xbin, int **gene, double *obj, double *constr)
{
    double f1, f2, f3, g, h;
    int i;
    
    g = 0.0;
    for (i=3; i<=12; i++)
    {
        g += pow(xreal[i-1]-0.5,2.0)-cos(20.0*PI*(xreal[i-1]-0.5));
    }
    g += 10.0;
    g *= 100.00;
    f1 = 0.5*xreal[0]*xreal[1]*(1.0+g);
    f2 = 0.5*xreal[0]*(1.0-xreal[1])*(1.0+g);    
    f3 = 0.5*(1.0-xreal[0])*(1.0+g);  
    obj[0] = f1;
    obj[1] = f2;
    obj[2] = f3;
    return;
}

