# include <stdio.h>
# include <stdlib.h>
# include <math.h>
# include "../global.h"


/*  Test problem DTLZ7
    # of real variables = 22
    # of bin variables = 0
    # of objectives = 3
    # of constraints = 0
*/

void problem_def (double *xreal, double *xbin, int **gene, double *obj, double *constr)
{
    double f1, f2, f3, g, h;
    int i;    

    
    f1 = xreal[0];
    f2 = xreal[1];   
    g = 0.0;
    for (i=3; i<22; i++)
    {
        g += xreal[i];
    }
    g *= (9.0/20.0);
    g += 1.0;
    
    h = 0.0;
    h += (f1/(1.0+g))*(1.0+sin(3.0*PI*f1));
    h += (f2/(1.0+g))*(1.0+sin(3.0*PI*f2));
    h = 3.0 - h;

    f3 = (1.0+g)*h;
    obj[0] = f1;
    obj[1] = f2;
    obj[2] = f3;
    return;
}
