/*
 * outpu.c
 *
 *  Created on: Mar 1, 2011
 *      Author: Thomas PIERRARD
 */
# include <stdio.h>
# include <stdlib.h>

# include "datastruct.h"

void output_pop(population *pop, int ii, const char *str) {

	if (pop->size > 0) {
		int flag, i;
		FILE *fpt;

		char * fn = malloc(50 * sizeof(char));

		sprintf(fn, "plot_out/%s_%d.out", str, ii);

		fpt = fopen(fn, "w");
		flag = 0;
		if (fpt) {
			for (i = 0; i < pop->size; i++) {
				if (nobj == 2)
					fprintf(fpt, "%e\t%e\n", pop->ind[i].obj[0],
							pop->ind[i].obj[1]);
				else
					fprintf(fpt, "%e\t%e\t%e\n", pop->ind[i].obj[0],
							pop->ind[i].obj[1], pop->ind[i].obj[2]);
				fflush(fpt);
				flag = 1;
			}
		} else {
			fprintf(stderr, "error : can't open file '%s'\n", fn);
		}
		fclose(fpt);

		if (flag == 0) {
			printf("\n No solutions in one of the pop, hence no display\n");
		}
		free(fn);
	}
	return;
}



void output_pop2(population *pop, population *pop2, int ii, const char *str) {

	if (pop->size > 0) {
		int flag, i;
		FILE *fpt;

		char * fn = malloc(50 * sizeof(char));

		sprintf(fn, "plot_out/%s_%d.out", str, ii);

		fpt = fopen(fn, "w");
		flag = 0;
		if (fpt) {
			for (i = 0; i < pop->size; i++) {
				if (nobj == 2)
					fprintf(fpt, "%e\t%e\n", pop->ind[i].obj[0],
							pop->ind[i].obj[1]);
				else
					fprintf(fpt, "%e\t%e\t%e\n", pop->ind[i].obj[0],
							pop->ind[i].obj[1], pop->ind[i].obj[2]);
				fflush(fpt);
				flag = 1;
			}
			for (i = 0; i < pop2->size; i++) {
				if (nobj == 2)
					fprintf(fpt, "%e\t%e\n", pop2->ind[i].obj[0],
							pop2->ind[i].obj[1]);
				else
					fprintf(fpt, "%e\t%e\t%e\n", pop2->ind[i].obj[0],
							pop2->ind[i].obj[1], pop2->ind[i].obj[2]);
				fflush(fpt);
				flag = 1;
			}
		} else {
			fprintf(stderr, "error : can't open file '%s'\n", fn);
		}
		fclose(fpt);

		if (flag == 0) {
			printf("\n No solutions in one of the pop, hence no display\n");
		}
		free(fn);
	}
	return;
}

