/*
 * funct.c
 *
 *  Created on: Mar 30, 2011
 *      Author: Thomas PIERRARD
 */
# include <stdio.h>
# include <stdlib.h>
# include <math.h>

# include "datastruct.h"

double eucl_d(individual * a, individual * b) {
	int i;
	double distance;

	distance = 0;
	for (i = 0; i < nobj; i++) {
		distance += pow(a->obj[i] - b->obj[i], 2.0);
	}
	return (sqrt(distance));
}

double absreal(double a) {
	if (a < 0)
		return (-a);
	else
		return (a);
}

// Make a Comparison to determine if the solutions are the same
//Return:
// 0.- If they are different
// 1.- If they are equal
int same(individual * a, individual * b) {
	int i;
	for (i = 0; i < nobj; i++) {
		if (a->obj[i] < b->obj[i])
			return 0;
		else if (b->obj[i] < a->obj[i])
			return 0;
	}
	return 1;
}

void swap(int *x, int *y) {
	int temp;
	temp = *x;
	*x = *y;
	*y = temp;
}

