/*
 * test.c
 *
 *  Created on: Mar 1, 2011
 *      Author: tom
 */

# include <stdio.h>
# include <stdlib.h>
# include <sys/time.h>

# include "datastruct.h"

double get_time(struct timeval * time) {
	gettimeofday(time, NULL);
	return ((*time).tv_sec + ((*time).tv_usec / 1000000.0));
}

void display_pop(population * pop, int start, int end, int curr,
		const char * str) {
	int i, j;
	if (start <= curr && curr <= end) {
		printf("%s:\n", str);
		printf("size :%d\n", pop->size);
		for (i = 0; i < pop->size; i++) {
			printf("%d : ", i);
			for (j = 0; j < nobj; j++) {
				printf("%f ", pop->ind[i].obj[j]);
			}
			printf(" aff : %f\n", pop->ind[i].affinity);
		}
		printf("\n");
	}
}

void display_pop_sorted(population * pop, int start, int end, int curr,
		const char * str) {
	int i, j;
	if (start <= curr && curr <= end) {
		printf("%s:\n", str);
		printf("size :%d\n", pop->size);
		for (i = 0; i < pop->size; i++) {
			printf("%d : ",i);
			for (j = 0; j < nobj; j++) {
				printf("%f ", pop->ind[sort[i]].obj[j]);
			}
			printf(" aff : %f, rank : %d\n", pop->ind[sort[i]].affinity, pop->ind[sort[i]].rank);
		}
		printf("\n");
	}
}

