/*
 * initi.c
 *
 *  Created on: Mar 30, 2011
 *      Author: Thomas PIERRARD
 */
# include <stdio.h>
# include <stdlib.h>

# include "datastruct.h"

/* Function to initialize a population randomly */
void initialize_pop(population *pop) {
	int i;
	for (i = 0; i < popsize; i++) {
		initialize_ind(&(pop->ind[i]));
	}
	pop->size = popsize;
	return;
}

/* Function to initialize an individual randomly */
void initialize_ind(individual *ind) {
	int j;
	for (j = 0; j < nreal; j++) {
		ind->xreal[j] = rndreal(min_realvar[j], max_realvar[j]);
	}

	return;
}
