# include <stdio.h>
# include <stdlib.h>
# include <math.h>
# include "../global.h"

/*  Test problem BNH4
    # of real variables = 2
    # of bin variables = 0
    # of objectives = 3
    # of constraints = 2
    */


void problem_def (double *xreal, double *xbin, int **gene, double *obj, double *constr)
{
    obj[0] = 1.5-xreal[0]*(1.0-xreal[1]);
    obj[1] = 2.25 - xreal[0]*(1.0-xreal[1]*xreal[1]);
    obj[2] = 2.625-xreal[0]*(1.0-xreal[1]*xreal[1]*xreal[1]);
    constr[0] = xreal[0]*xreal[0]+pow(xreal[1]-0.5,2.0)-9.0;
    constr[1] = 6.25 - pow(xreal[0]-1.0,2.0) - pow(xreal[1]-0.5,2.0);
    return;
}

