/*
 * split.c
 *
 *  Created on: Mar 1, 2011
 *      Author: Thomas PIERRARD
 */
# include <stdio.h>
# include <stdlib.h>

# include "datastruct.h"

void split(population * pop, population * antb, population * antg) {
	int i;
	antb->size = 0;
	antg->size = 0;
	for (i = 0; i < popsize; i++) {
		pop->ind[i].affinity = 0.0;
		if (ncon > 0) { // constrained problem
			if ((pop->ind[i].constr_violation == 0.0)
					&& (pop->ind[i].rank == 0)) {
				copy_ind(&(pop->ind[i]), &(antg->ind[antg->size++]));
			} else {
				copy_ind(&(pop->ind[i]), &(antb->ind[antb->size++]));
			}
		} else { // unconstrained problem
			if (pop->ind[i].rank == 0) {
				copy_ind(&(pop->ind[i]), &(antg->ind[antg->size++]));
			} else {
				copy_ind(&(pop->ind[i]), &(antb->ind[antb->size++]));
			}
		}
	}
	return;
}
